from aiogram import Router
from aiogram.filters import Command
from aiogram.types import Message

from utils import tk_balance

router = Router()


@router.message(Command("start"))
@router.message(Command("about"))
async def start_command(message: Message):
    await message.reply("""👋 Привет! Я - бот, который поможет тебе узнать баланс твоей транспортной карты не выходя из Телеграма!

👍 Просто отправь мне номер свой транспортной карты, и я тебе скажу её баланс!
    
<b>⚠️ Обрати внимание, что я работаю только с транспортными картами города Казань. Спасибо за понимание</b>""")


@router.message()
async def check_tk_balance(message: Message):
    if not message.text.isdigit():
        return await message.reply("😔 Сожалею, но это не номер транспортной карты")
    msg = await message.answer("<b>⏳ Проверяю баланс...</b>")
    balance = await tk_balance(int(message.text))
    if not balance:
        return await msg.edit_text("""<b>😔 Произошла ошибка при получении данных.</b>
        
🤔 Если вы считаете, что вы все ввели верно, пожалуйста, подождите 15 минут""")
    await msg.edit_text(
        text=f"""<b>💸 Баланс вашей транспортной карты: {balance} руб.</b>
        
⚠️ Прошу обратить внимание, не учитывается баланс, который находится в отложенном пополнении. Он появится после записи ресурса на карту"""
    )
